WebsitePlatform Login

Embeddings

Embeddings endpoints

POST/openai/v1/embeddings

Authorization

ApiKeyAuth
Authorization<token>

API key for authentication. Use 'Bearer ' format.

In: header

Request Body

application/json

input*|array<>|array<>|array<array<>>
model?string

ID of the model to use (optional, not used in implementation)

encoding_format?string

The format to return the embeddings in

Default"float"
Value in"float" | "base64" | "bob"
dimensions?integer

The number of dimensions the resulting output embeddings should have

Range1 <= value
user?string

A unique identifier representing your end-user

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.meingpt.com/api/openai/v1/embeddings" \  -H "Content-Type: application/json" \  -d '{    "input": "string"  }'
{
  "object": "list",
  "data": [
    {
      "object": "embedding",
      "embedding": [
        0
      ],
      "index": 0
    }
  ],
  "model": "string",
  "usage": {
    "prompt_tokens": 0,
    "total_tokens": 0
  }
}
{
  "status": "error",
  "message": "string"
}
{
  "status": "error",
  "message": "string"
}
{
  "status": "error",
  "message": "string"
}
{
  "status": "error",
  "message": "string"
}